For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETList approvals
      • POSTRequest approval
      • GETGet an approval
      • POSTDecide (human session only — not API key)
      • GETGet signing challenge for wallet-decision
      • POSTDecide via wallet signature
LogoLogo
DashboardGet started
Generated API ExplorerApprovals

List approvals

GET
/v1/approvals
GET
/v1/approvals
$curl https://api.lipafy.xyzyz/v1/approvals \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "approvals": [
3 {
4 "id": "string",
5 "account_id": "string",
6 "requesting_grant_id": "string",
7 "capability_slug": "string",
8 "amount": "string",
9 "currency_code": "string",
10 "justification": "string",
11 "status": "pending",
12 "decided_at": "2024-01-15T09:30:00Z",
13 "expires_at": "2024-01-15T09:30:00Z",
14 "consumed_at": "2024-01-15T09:30:00Z",
15 "created_at": "2024-01-15T09:30:00Z"
16 }
17 ]
18}
Was this page helpful?
Previous

Request approval

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

statusenumOptional
Allowed values:

Response

OK
approvalslist of objects